Download it now!
Bug 98882 - DOCX import: inline picture is handled incorrectly (crop problem?)
Summary: DOCX import: inline picture is handled incorrectly (crop problem?)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.3 target:5.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-25 13:54 UTC by Miklos Vajna
Modified: 2018-07-23 13:28 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-03-25 13:54:44 UTC
This is a follow-up to bug 95188, as the image mis-import problem in attachement 119771 doesn't seem to have anything to do with the footnote.
Comment 1 Miklos Vajna 2016-03-25 16:20:23 UTC
Attachment 119771 [details], I mean.
Comment 2 Commit Notification 2016-03-29 13:29:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eae2331f83bd58bacccd898d60f6c5f54856c036

tdf#98882 DOCX import: set default para properties on the Standard para style

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-03-29 21:30:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=226af96743f8ce5f00f34ee726a1218c2274e3a2&h=libreoffice-5-1

tdf#98882 DOCX import: set default para properties on the Standard para style

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-03-29 21:41:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=490ce780fa876ec14055d95339933ea0081ce0e7&h=libreoffice-5-0

tdf#98882 DOCX import: set default para properties on the Standard para style

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.